<ul class="breadcrumb">
  <li><a routerLink="/parish">{{'Parish' | translate}}</a></li>
  <li><a routerLink="/reports">{{'Reports' | translate}}</a></li>
</ul>

<div class="clearfix">

  <div class="report-panel">
    <h3>{{'Reports' | translate}}</h3>

    <div class="well">
      <div class="form-group form-inline util-no-margin">
        <p-calendar [(ngModel)]="dateStart" (ngModelChange)="hideReports()" dateFormat="yy-mm-dd" inputStyleClass="form-control"></p-calendar>
        <p-calendar [(ngModel)]="dateEnd" (ngModelChange)="hideReports()" dateFormat="yy-mm-dd" inputStyleClass="form-control"></p-calendar>
        <div class="btn-group">
          <button type="button" class="btn btn-primary dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            {{'GetReport' | translate}} <span class="caret"></span>
          </button>
          <ul class="dropdown-menu">
            <li><a class="util-cursor-pointer" (click)="getSumOfOfferingsReport()">{{'SumOfOfferings' | translate}}</a></li>
            <li><a class="util-cursor-pointer" (click)="getCatalogueReport()">{{'Catalogue' | translate}}</a></li>
          </ul>
        </div>
        <button *ngIf="sumOfOfferingsVisible || catalogueVisible" class="btn btn-primary" (click)="print()"><i class="glyphicon glyphicon-print"></i> {{'Print' | translate}}</button>
      </div>
      <div *ngIf="sumOfOfferingsVisible || catalogueVisible">
        <hr />
        <input class="form-control" type="text" [(ngModel)]="title" placeholder="{{'ReportTitlePlaceholder' | translate}}" />        
      </div>
    </div>
  </div>
  
  <div class="report-container">
    <h1 *ngIf="title">{{title}}</h1>
    <app-sum-of-offerings-report *ngIf="sumOfOfferingsVisible" [dateStart]="dateStart" [dateEnd]="dateEnd"></app-sum-of-offerings-report>
    <app-catalogue-report *ngIf="catalogueVisible" [dateStart]="dateStart" [dateEnd]="dateEnd"></app-catalogue-report>
  </div>
    
</div>
